Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezimagecatalogue/user/menubox.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $t
| $RandImageCategory =& $ini->variable( "eZImageCatalogueMain", "RandImageCategory" )
| $width =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewWidth" )
| $height =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewHight" )
| $randimage = eZImage::randomImage( $RandImageCategory )
| $variation =& $randimage->requestImageVariation( $width, $height )
if( $user &&(eZObjectPermission::getObjects("imagecatalogue_category", 'w', true) > 0||eZObjectPermission::getObjects("imagecatalogue_category", 'u', true) > 0||eZPermission::checkPermission( $user, "eZImageCatalogue", "WriteToRoot"))) | else

## Variable Documentation

## ◆ $height

$height =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewHight" )

Definition at line 53 of file ezimagecatalogue/user/menubox.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file ezimagecatalogue/user/menubox.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 31 of file ezimagecatalogue/user/menubox.php.

## ◆ $randimage

$randimage = eZImage::randomImage( $RandImageCategory )

Definition at line 54 of file ezimagecatalogue/user/menubox.php.

## ◆ $RandImageCategory

$RandImageCategory =& $ini->variable( "eZImageCatalogueMain", "RandImageCategory" )

Definition at line 51 of file ezimagecatalogue/user/menubox.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/user/" . $ini->variable( "eZImageCatalogueMain", "TemplateDir" ),
"kernel/ezimagecatalogue/user/intl", $Language, "menubox.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezimagecatalogue/user/menubox.php:31
$ini
$ini
Definition: ezimagecatalogue/user/menubox.php:29

Definition at line 39 of file ezimagecatalogue/user/menubox.php.

## ◆ $variation

$variation =& $randimage->requestImageVariation( $width, $height )

Definition at line 55 of file ezimagecatalogue/user/menubox.php.

Referenced by eZImage\delete(), renderFrontpageArticle(), renderFrontpageArticleDouble(), renderFrontpageProduct(), renderFrontpageProductDouble(), eZTechRenderer\renderImage(), eZQDomRenderer\renderImage(), eZEzRenderer\renderPage(), eZQDomRenderer\renderRollOver(), eZImage\requestImageVariation(), eZImageVariation\requestVariation(), eZImage\store(), and eZImage\variations().

## ◆ $width

$width =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewWidth" )

Definition at line 52 of file ezimagecatalogue/user/menubox.php.

## ◆ else

if ($user &&(eZObjectPermission::getObjects("imagecatalogue_category", 'w', true) > 0|| eZObjectPermission::getObjects("imagecatalogue_category", 'u', true) > 0|| eZPermission::checkPermission($user, "eZImageCatalogue", "WriteToRoot"))) else

Initial value:
{
$t->set_var( "user_login", "" )
$t
$t
Definition: ezimagecatalogue/user/menubox.php:39

Definition at line 75 of file ezimagecatalogue/user/menubox.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.